ldns_rbnode_t Struct Reference

The rbnode_t struct definition. More...

`#include <rbtree.h>`

## Data Fields

ldns_rbnode_t * | parent
| parent in rbtree, RBTREE_NULL for root
ldns_rbnode_t * | left
| left node (smaller items)
ldns_rbnode_t * | right
| right node (larger items)
const void * | key
| pointer to sorting key
const void * | data
| pointer to data
uint8_t | color
| colour of this node

## Detailed Description

The rbnode_t struct definition.

Definition at line 60 of file rbtree.h.

## Field Documentation

## parent

ldns_rbnode_t* ldns_rbnode_t::parent

parent in rbtree, RBTREE_NULL for root

Definition at line 62 of file rbtree.h.

## left

ldns_rbnode_t* ldns_rbnode_t::left

left node (smaller items)

Definition at line 64 of file rbtree.h.

## right

ldns_rbnode_t* ldns_rbnode_t::right

right node (larger items)

Definition at line 66 of file rbtree.h.

## key

const void* ldns_rbnode_t::key

pointer to sorting key

Definition at line 68 of file rbtree.h.

## data

const void* ldns_rbnode_t::data

pointer to data

Definition at line 70 of file rbtree.h.

## color

uint8_t ldns_rbnode_t::color

colour of this node

Definition at line 72 of file rbtree.h.